<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateContentScheduledItemTable extends Migration {

	public function up()
	{
		Schema::create('content_scheduled_item', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('content_id')->unsigned()->index();
			$table->integer('component_program_id')->unsigned()->index();
			$table->integer('ordering')->unsigned()->nullable();
			$table->tinyInteger('def')->default('0');
			$table->date('date_from')->nullable()->index();
			$table->date('date_to')->nullable()->index();
			$table->time('time_from')->nullable()->index();
			$table->time('time_to')->nullable()->index();
			$table->tinyInteger('shuffle')->unsigned()->default('1');
			$table->tinyInteger('dow')->unsigned();
		});
	}

	public function down()
	{
		Schema::drop('content_scheduled_item');
	}
}