<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLibraryStorageFileTable extends Migration {

	public function up()
	{
		Schema::create('library_storage_file', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('original_id')->unsigned()->nullable()->index();
			$table->integer('library_storage_file_variant_id')->unsigned()->nullable()->index();
			$table->integer('library_storage_id')->unsigned()->index();
			$table->string('name', 255)->nullable();
			$table->string('ext', 255)->nullable();
			$table->integer('size')->nullable();
			$table->string('md5', 32)->nullable()->index();
			$table->string('mime', 50)->nullable()->index();
			$table->enum('usage', array('audio', 'video', 'image', 'html', 'web'))->nullable();
			$table->enum('status', array('available', 'processing'));
			$table->integer('albumart_id')->unsigned()->nullable();
		});
	}

	public function down()
	{
		Schema::drop('library_storage_file');
	}
}